<html>
	<head>
		<meta charset="utf-8"/>
    <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="0" />
		<script src="wasm_exec.js"></script>

	</head>
	<body>
		<h1>⏳ Loading...</h1>
    
		<script> 

      function loadWasm(path) {
        const go = new Go()

        return new Promise((resolve, reject) => {
          WebAssembly.instantiateStreaming(fetch(path), go.importObject)
          .then(result => {
            go.run(result.instance)
            resolve(result.instance)
          })
          .catch(error => {
            reject(error)
          })
        })
      }
      
			loadWasm(`index.wasm?v=${self.crypto.randomUUID()}`).then(wasm => {
        console.log("index.wasm is loaded")
        document.open()
        document.write(Html());
        document.close()

			}).catch(error => {
        console.log("ouch", error)
      }) 

		</script>
	</body>
</html>
